program Project1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

Var
f1 : text;
sum : real;
kol, t, x, n, v, l, k, i : integer;

begin

  Assign(f1, 'TRANSPORT.in');
  reset(f1);
  readln(f1, t);

  for k := 1 to t do begin
     sum := 0;
    readln(f1, n, v, l);
    for I := 1 to n do begin
      read(f1,x, kol);
      sum := sum + kol;
    end;
    sum := sum + (60*(l/v));
    writeln(sum :0:2);
  end;
  //  readln(f1);
end.
